import { writable } from "svelte-local-storage-store";
import type { Writable } from "svelte/store";
import type { FactId } from "./types";

export const gameFactsStore: Writable<FactId[]> = writable("gameFacts", [
  "debugRequiredFact",
]);

export function addGameFactToFactArray(
  gameFact: FactId,
  factArray: FactId[]
): FactId[] {
  if (!factArray.includes(gameFact)) {
    return [...factArray, gameFact];
  } else {
    return factArray;
  }
}

export function toggleFactInFactArray(
  gameFact: FactId,
  factArray: FactId[]
): FactId[] {
  if (!factArray.includes(gameFact)) {
    return [...factArray, gameFact];
  } else {
    return factArray.filter((f) => f !== gameFact);
  }
}
